// Load native UI library
var gui = require('nw.gui');
      
// Get the current window
var nwin = gui.Window.get();
      
// Maximize window
nwin.show();
nwin.maximize();

var fadespeed = 0.4;


function fade(element) {
    var op = 1;  // initial opacity
    var timer = setInterval(function () {
        if (op <= 0.1){
            clearInterval(timer);
            element.style.display = 'none';
            
            unfade(document.getElementById('i_frame'));
        }
        element.style.opacity = op;
        element.style.filter = 'alpha(opacity=' + op * 100 + ")";
        op -= op * fadespeed;
    }, 30);
}

function unfade(element) {
    var op = 0.1;  // initial opacity
    element.style.display = 'block';
    var timer = setInterval(function () {
        if (op >= 1){
            clearInterval(timer);
        }
        element.style.opacity = op;
        element.style.filter = 'alpha(opacity=' + op * 100 + ")";
        op += op * fadespeed;
    }, 30);
}

function checkIframeLoaded() {
  // Get a handle to the iframe element
  iframe = document.getElementById('i_frame');
      
  var iframeDoc = iframe.contentDocument || iframe.contentWindow.document;
      
  // Check if loading is complete
  if (iframeDoc.readyState  == 'complete') {
      
    // iframe.contentWindow.alert("Frame Loaded");
      
    // The loading is complete, call the function we want executed once the iframe is loaded
    fade(document.getElementById('loading'));
    document.title = "Nutritics";
    return;
  } 
      
  // If we are here, it is not loaded. Set things up so we check   the status again in 100 milliseconds
  window.setTimeout('checkIframeLoaded();', 100);
}